---
updatedAt: 2025-06-12T23:58:41.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Create Quote

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/quotes": {
      "post": {
        "summary": "Create Quote",
        "description": "",
        "operationId": "create-quote",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "sellCurrency",
                  "buyCurrency",
                  "amount",
                  "fixedSide"
                ],
                "properties": {
                  "sellCurrency": {
                    "type": "string",
                    "description": "3 letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code of the currency you want to sell. e.g. `GBP` for Pound Sterling",
                    "enum": [
                      "GBP",
                      "EUR"
                    ]
                  },
                  "buyCurrency": {
                    "type": "string",
                    "description": "3 letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code of the currency you want to buy. e.g. `EUR` for Euros.",
                    "enum": [
                      "GBP",
                      "EUR"
                    ]
                  },
                  "amount": {
                    "type": "string",
                    "description": "Amount to be converted in 2 decimal places. e.g. `10000.00`"
                  },
                  "fixedSide": {
                    "type": "string",
                    "description": "The side of the exchange currency pair that you wish to fix. Fix the SELL side if you have a specific amount of currency you want to convert. Fix the BUY side if you want to get a specific amount in the converted currency.",
                    "enum": [
                      "BUY",
                      "SELL"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"qot_grbvdy1vxnd0z54n6m\",\n    \"sellCurrency\": \"GBP\",\n    \"buyCurrency\": \"EUR\",\n    \"sellAmount\": \"840.00\",\n    \"buyAmount\": \"1000.00\",\n    \"fixedSide\": \"BUY\",\n    \"rate\": \"0.84000\",\n    \"expiresAt\": 1668335493322\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "qot_grbvdy1vxnd0z54n6m"
                    },
                    "sellCurrency": {
                      "type": "string",
                      "example": "GBP"
                    },
                    "buyCurrency": {
                      "type": "string",
                      "example": "EUR"
                    },
                    "sellAmount": {
                      "type": "string",
                      "example": "840.00"
                    },
                    "buyAmount": {
                      "type": "string",
                      "example": "1000.00"
                    },
                    "fixedSide": {
                      "type": "string",
                      "example": "BUY"
                    },
                    "rate": {
                      "type": "string",
                      "example": "0.84000"
                    },
                    "expiresAt": {
                      "type": "integer",
                      "example": 1668335493322,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n     --url https://sandbox.fiatrepublic.com/api/v1/quotes \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n{\n    \"sellCurrency\": \"GBP\",\n    \"buyCurrency\": \"EUR\",\n    \"amount\": \"1000.00\",\n    \"fixedSide\": \"BUY\"\n}\n'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```